Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RVALUE Struct Reference

## Data Fields
union {
struct RBasic basic
struct RObject object
struct RClass klass
struct RArray array
struct RHash hash
struct RStruct rstruct
} | as
union {
struct {
VALUE flags
struct RVALUE * next
} free
struct RBasic basic
struct RObject object
struct RClass klass
struct RFloat flonum
struct RString string
struct RArray array
struct RRegexp regexp
struct RHash hash
struct RData data
struct RTypedData typeddata
struct RStruct rstruct
struct RBignum bignum
struct RFile file
struct RNode node
struct RMatch match
struct RRational rational
struct RComplex complex
} | as

## Detailed Description

Definition at line 16 of file rubyext.c.

## Field Documentation

struct RArray RVALUE::array

Definition at line 29 of file rubyext.c.

Referenced by gc_mark_children().

union { ... } RVALUE::as

union { ... } RVALUE::as

Referenced by assign_heap_slot(), chain_finalized_object(), count_objects(), finalize_list(), gc_mark(), gc_mark_all(), gc_mark_children(), gc_sweep(), make_deferred(), make_io_deferred(), os_obj_of_i(), rb_objspace_call_finalizer(), and rb_objspace_each_objects().

struct RBasic RVALUE::basic

Definition at line 24 of file rubyext.c.

Referenced by chain_finalized_object(), count_objects(), gc_mark(), gc_mark_all(), gc_mark_children(), gc_sweep(), make_deferred(), os_obj_of_i(), and rb_objspace_each_objects().

struct RBignum RVALUE::bignum

Definition at line 262 of file gc.c.

struct RComplex RVALUE::complex

Definition at line 267 of file gc.c.

Referenced by gc_mark_children().

struct RData RVALUE::data

Definition at line 259 of file gc.c.

Referenced by gc_mark_children(), and make_io_deferred().

struct RFile RVALUE::file

Definition at line 263 of file gc.c.

Referenced by gc_mark_children(), and make_io_deferred().

VALUE RVALUE::flags

Definition at line 248 of file gc.c.

struct RFloat RVALUE::flonum

Definition at line 254 of file gc.c.

struct { ... } RVALUE::free

Referenced by assign_heap_slot(), chain_finalized_object(), finalize_list(), gc_sweep(), and rb_objspace_call_finalizer().

struct RHash RVALUE::hash

Definition at line 31 of file rubyext.c.

Referenced by gc_mark_children().

struct RClass RVALUE::klass

Definition at line 26 of file rubyext.c.

struct RMatch RVALUE::match

Definition at line 265 of file gc.c.

Referenced by gc_mark_children().

struct RVALUE* RVALUE::next

Definition at line 249 of file gc.c.

struct RNode RVALUE::node

Definition at line 264 of file gc.c.

Referenced by gc_mark_children().

struct RObject RVALUE::object

Definition at line 25 of file rubyext.c.

struct RRational RVALUE::rational

Definition at line 266 of file gc.c.

Referenced by gc_mark_children().

struct RRegexp RVALUE::regexp

Definition at line 257 of file gc.c.

Referenced by gc_mark_children().

struct RStruct RVALUE::rstruct

Definition at line 33 of file rubyext.c.

struct RString RVALUE::string

Definition at line 255 of file gc.c.

Referenced by gc_mark_children().

struct RTypedData RVALUE::typeddata

Definition at line 260 of file gc.c.

Referenced by gc_mark_children().

The documentation for this struct was generated from the following files:

- ext/syck/rubyext.c
- gc.c